package com.nokia.financeapi.controller.car;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.pojo.po.car.CarCaliberDescriptionPo;
import com.nokia.financeapi.service.car.CarCaliberDescriptionService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.LinkedHashMap;

@Tag(name = "车辆口径描述")
@RestController
@RequestMapping("/house-car/car/api/caliber-description")
public class CarCaliberDescriptionController {
    private final CarCaliberDescriptionService carCaliberDescriptionService;

    public CarCaliberDescriptionController(CarCaliberDescriptionService carCaliberDescriptionService) {
        this.carCaliberDescriptionService = carCaliberDescriptionService;
    }

    @Operation(summary = "查询所有车辆口径描述")
    @PostMapping("/all")
    public R<LinkedHashMap<String, CarCaliberDescriptionPo>> all() {
        return carCaliberDescriptionService.all();
    }
}
