package com.nokia.financeapi.controller.car;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.pojo.dto.CarDataImportDto;
import com.nokia.financeapi.service.car.CarDataImportService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.Valid;

@Tag(name = "车辆数据导入")
@RestController
@RequestMapping("/house-car/car/data-import/api")
public class CarDataImportController {
    private final CarDataImportService carDataImportService;

    public CarDataImportController(CarDataImportService carDataImportService) {
        this.carDataImportService = carDataImportService;
    }

    @Operation(summary = "导入数据")
    @PostMapping("/dataImport")
    public R<Object> dataImport(@Valid CarDataImportDto dto, @RequestPart("file") MultipartFile file) {
        return carDataImportService.dataImport(dto, file);
    }
}
