package com.nokia.financeapi.controller.house;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.pojo.po.house.HouseCaliberDescriptionPo;
import com.nokia.financeapi.service.house.HouseCaliberDescriptionService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.LinkedHashMap;

@Tag(name = "不动产口径描述")
@RestController
@RequestMapping("/house-car/house/api/caliber-description")
public class HouseCaliberDescriptionController {
    private final HouseCaliberDescriptionService houseCaliberDescriptionService;

    public HouseCaliberDescriptionController(HouseCaliberDescriptionService houseCaliberDescriptionService) {
        this.houseCaliberDescriptionService = houseCaliberDescriptionService;
    }

    @Operation(summary = "查询所有不动产口径描述")
    @PostMapping("/all")
    public R<LinkedHashMap<String, HouseCaliberDescriptionPo>> all() {
        return houseCaliberDescriptionService.all();
    }
}
