package com.nokia.financeapi.controller.house;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.pojo.dto.GetOrgsByParentIdDto;
import com.nokia.financeapi.pojo.vo.HouseOrgVo;
import com.nokia.financeapi.service.house.HouseOrgService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

@Tag(name = "不动产组织机构")
@RestController
@RequestMapping("/house-car/house/api/org")
public class HouseOrgController {
    private final HouseOrgService houseOrgService;

    public HouseOrgController(HouseOrgService houseOrgService) {
        this.houseOrgService = houseOrgService;
    }

    @Operation(summary = "根据父级组织机构id查询子组织机构列表")
    @PostMapping("/getOrgsByParentId")
    public R<List<HouseOrgVo>> getOrgsByParentId(@Valid @RequestBody GetOrgsByParentIdDto dto) {
        return houseOrgService.getOrgsByParentId(dto);
    }
}
