package com.nokia.financeapi.dao.car;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface CarWeiZhangDao {
    /**
     * 判断是否有车辆违章数据
     * @param endYearMonth 账期
     */
    @Select("""
select exists (select 1 from car.car_wei_zhang where year_month = #{endYearMonth})
""")
    boolean hasData(@Param("endYearMonth") Integer endYearMonth);

    /**
     * 插入违章长期未处理
     * @param endYearMonth 账期
     */
    @Update("""
insert
    into
    car.car_wei_zhang_chang_qi
(
year_month,
    che_pai_hao,
    raw_yi_ji,
    raw_er_ji,
    raw_san_ji,
    wei_zhang_shi_jian,
    wei_zhang_di_dian,
    wei_zhang_xiang_qing,
    kou_fen,
    fa_kuan,
    wei_zhang_wei_chu_li_shi_chang,
    chu_li_zhuang_tai,
    first_unit,
    second_unit,
    third_unit,
    area_no,
    area_name,
    city_no,
    city_name,
    area_name2,
    area_no2,
    city_id,
    city,
    district_id,
    district,
    raw_che_pai_hao,
    che_pai_fail,
    wei_zhang_nian_yue,
    year_no,
    month_no,
    source
)
select
    year_month,
    che_pai_hao,
    raw_yi_ji,
    raw_er_ji,
    raw_san_ji,
    wei_zhang_shi_jian,
    wei_zhang_di_dian,
    wei_zhang_xiang_qing,
    kou_fen,
    fa_kuan,
    wei_zhang_wei_chu_li_shi_chang,
    chu_li_zhuang_tai,
    first_unit,
    second_unit,
    third_unit,
    area_no,
    area_name,
    city_no,
    city_name,
    area_name2,
    area_no2,
    city_id,
    city,
    district_id,
    district,
    raw_che_pai_hao,
    che_pai_fail,
    wei_zhang_nian_yue,
    year_no,
    month_no,
    source
from
    car.car_wei_zhang
where
    chu_li_zhuang_tai = '未处理'
    and wei_zhang_wei_chu_li_shi_chang > 150
    and year_month = #{endYearMonth}
""")
    int insertCarWeiZhangChangQi(@Param("endYearMonth") Integer endYearMonth);
}
