package com.nokia.financeapi.dao.common;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nokia.financeapi.pojo.po.common.RequestLogPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

import java.util.List;

@Mapper
public interface RequestLogDao extends BaseMapper<RequestLogPo> {
    /**
     * 批量插入
     */
    @Update("""
<script>
insert into common.request_log
(
request_time,
login_id,
page_url,
api,
request_parameters,
headers,
app_id,
time_stamp,
token,
expire_time,
expire_time_stamp
)
values
<foreach collection="list" item="item" index="index" separator=",">
(
#{item.requestTime},
#{item.loginId},
#{item.pageUrl},
#{item.api},
#{item.requestParameters},
#{item.headers},
#{item.appId},
#{item.timeStamp},
#{item.token},
#{item.expireTime},
#{item.expireTimeStamp}
)
</foreach>
</script>
""")
    int insertBatch(List<RequestLogPo> list);
}
