package com.nokia.financeapi.dao.gdc;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface GdcCarChaoBaoDao {
    /**
     * 插入超保数据
     * @param endYearMonth 账期
     */
    @Update("""
insert
    into
    car_theme.wz_f_severely_over_maintained_leased_vehicles_details
(
statistical_month,
    card_num,
    car_brand,
    enable_date,
    arrival_time,
    kilometers_entering_the_factory,
    mileage_driven_as_of_data_extraction_date,
    should_maintenance_be_carried_out,
    exceeding_the_recommended_maintenance_time,
    exceeding_the_recommended_maintenance_mileage,
    city,
    dpt_sec,
    grid
)
select
    year_month as statistical_month,
    che_pai_hao as card_num,
    che_xing as car_brand,
    deng_ji_ri_qi as enable_date,
    jin_chang_shi_jian as arrival_time,
    jin_chang_gong_li as kilometers_entering_the_factory,
    li_cheng as mileage_driven_as_of_data_extraction_date,
    bao_yang as should_maintenance_be_carried_out,
    chao_bao_tian_shu as exceeding_the_recommended_maintenance_time,
    chao_bao_gong_li as exceeding_the_recommended_maintenance_mileage,
    first_unit as city,
    second_unit as dpt_sec,
    third_unit as grid
from
    car.car_chao_bao
where
    year_month = #{endYearMonth}
""")
    int insertChaoBao(@Param("endYearMonth") Integer endYearMonth);
}
