package com.nokia.financeapi.dao.house;

import com.nokia.financeapi.pojo.vo.HouseOrgVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface HouseOrgDao {
    /**
     * 根据父级组织机构id查询子组织机构
     * @param parentId 父级组织机构id
     */
    @Select("""
select
    id,
    name,
    grade as level,
    order_num as weight,
    parent_id
from
    common.organization
where
    unhide = 1
    and parent_id = #{parentId}
order by
    order_num
""")
    List<HouseOrgVo> listByParentId(@Param("parentId") String parentId);
}
