package com.nokia.financeapi.pojo.vo;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Data
public class GetHouseAbnormalDataVo {
    @Hidden
    private String areaNo;
    @Hidden
    private String areaName;
    @Hidden
    private String cityNo;
    @Hidden
    private String cityName;
    @Schema(description = "单位名称", example = "全省")
    private String unitName;
    @Schema(description = "既未对应土地又未对应建筑的局址数量", example = "3")
    private Integer weiGuanLianJuZhiSum;
    @Schema(description = "闲置建筑面积", example = "23432.55")
    private BigDecimal xianZhiJianZhuMianJiSum;
    @Schema(description = "子列表")
    private List<GetHouseAbnormalDataVo> children;

    public GetHouseAbnormalDataVo() {
        this.areaNo = "";
        this.areaName = "";
        this.cityNo = "";
        this.cityName = "";
        this.unitName = "";
        this.weiGuanLianJuZhiSum = 0;
        this.xianZhiJianZhuMianJiSum = BigDecimal.ZERO;
        this.children = new ArrayList<>();
    }

    public GetHouseAbnormalDataVo(String areaNo, String areaName) {
        this.areaNo = areaNo;
        this.areaName = areaName;
        this.cityNo = areaNo;
        this.cityName = areaName;
        this.unitName = areaName;
        this.weiGuanLianJuZhiSum = 0;
        this.xianZhiJianZhuMianJiSum = BigDecimal.ZERO;
        this.children = new ArrayList<>();
    }

    public void update(GetHouseAbnormalDataVo po) {
        this.weiGuanLianJuZhiSum += po.weiGuanLianJuZhiSum;
        this.xianZhiJianZhuMianJiSum = this.xianZhiJianZhuMianJiSum.add(po.xianZhiJianZhuMianJiSum);
        this.children.add(po);
    }
}
