package com.nokia.financeapi.service.house;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.dao.house.HouseCaliberDescriptionDao;
import com.nokia.financeapi.pojo.po.house.HouseCaliberDescriptionPo;
import org.springframework.stereotype.Service;

import java.util.LinkedHashMap;
import java.util.List;

@Service
public class HouseCaliberDescriptionService {
    private final HouseCaliberDescriptionDao houseCaliberDescriptionDao;

    public HouseCaliberDescriptionService(HouseCaliberDescriptionDao houseCaliberDescriptionDao) {
        this.houseCaliberDescriptionDao = houseCaliberDescriptionDao;
    }

    public R<LinkedHashMap<String, HouseCaliberDescriptionPo>> all() {
        List<HouseCaliberDescriptionPo> list = houseCaliberDescriptionDao.all();
        LinkedHashMap<String, HouseCaliberDescriptionPo> map = new LinkedHashMap<>();
        for (HouseCaliberDescriptionPo t : list) {
            map.put(t.getTabId(), t);
        }
        return R.ok(map);
    }
}
