package com.nokia.financeapi.service.house;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.dao.house.HouseOrgDao;
import com.nokia.financeapi.pojo.dto.GetOrgsByParentIdDto;
import com.nokia.financeapi.pojo.vo.HouseOrgVo;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class HouseOrgService {
    private final HouseOrgDao houseOrgDao;

    public HouseOrgService(HouseOrgDao houseOrgDao) {
        this.houseOrgDao = houseOrgDao;
    }

    public R<List<HouseOrgVo>> getOrgsByParentId(GetOrgsByParentIdDto dto) {
        List<HouseOrgVo> list = houseOrgDao.listByParentId(dto.getId());
        return R.ok(list);
    }
}
